BinaryOutputRegister Struct Reference
Register Structures

Structure representing a Binary Output register. More...

`#include <sensors.h>`

## Data Fields

AsyncMode | asyncMode
uint16_t | rateDivisor
CommonGroup | commonField
TimeGroup | timeField
ImuGroup | imuField
GpsGroup | gpsField
AttitudeGroup | attitudeField
InsGroup | insField

## Detailed Description

Structure representing a Binary Output register.

The field outputGroup available on the sensor's register is not necessary in this structure since all read/writes operations will automatically determine this from the settings for the individual groups within this structure.

Examples:
  sensor/main.c.

## Field Documentation

AsyncMode asyncMode

The asyncMode field.

AttitudeGroup attitudeField

Group 5 (Attitude)

CommonGroup commonField

Group 1 (Common)

GpsGroup gpsField

Group 4 (GPS)

ImuGroup imuField

Group 3 (IMU)

InsGroup insField

Group 6 (INS)

uint16_t rateDivisor

The rateDivisor field.

TimeGroup timeField

Group 2 (Time)

The documentation for this struct was generated from the following file:

- sensors.h